ICU 71.1: icu::UObject Class Reference

ICU 71.1 71.1

Public Member Functions
icu::UObject Class Reference

UObject is the common ICU "boilerplate" class. More...

`#include <uobject.h>`

Inheritance diagram for icu::UObject:

## Public Member Functions
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Detailed Description

UObject is the common ICU "boilerplate" class.

UObject inherits UMemory (starting with ICU 2.4), and all other public ICU C++ classes are derived from UObject (starting with ICU 2.2).

UObject contains common virtual functions, in particular a virtual destructor.

The clone() function is not available in UObject because it is not implemented by all ICU classes. Many ICU services provide a clone() function for their class trees, defined on the service's C++ base class (which itself is a subclass of UObject).

Stable:
  ICU 2.2

Definition at line 223 of file uobject.h.

## Constructor & Destructor Documentation

## ◆ ~UObject()

virtual icu::UObject::~UObject | ( |  | ) |
| virtual

Destructor.

Stable:
  ICU 2.2

## Member Function Documentation

## ◆ getDynamicClassID()

virtual UClassID icu::UObject::getDynamicClassID | ( |  | ) | const
| virtual

ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class.

The base class implementation returns a dummy value.

Use compiler RTTI rather than ICU's "poor man's RTTI". Since ICU 4.6, new ICU C++ class hierarchies do not implement "poor man's RTTI".

Stable:
  ICU 2.2

Reimplemented in icu::ParagraphLayout::Line, icu::ParagraphLayout::VisualRun, icu::ParagraphLayout, icu::RunArray, icu::FontRuns, icu::LocaleRuns, icu::ValueRuns, icu::CanonicalIterator, icu::Locale, icu::Normalizer, icu::ParsePosition, icu::ResourceBundle, icu::UnicodeString, icu::UnicodeSetIterator, icu::CollationElementIterator, icu::CurrencyAmount, icu::CurrencyPluralInfo, icu::CurrencyUnit, icu::DecimalFormatSymbols, icu::DateFormatSymbols, icu::DateIntervalInfo, icu::DateTimePatternGenerator, icu::FieldPosition, icu::Formattable, icu::NumberingSystem, icu::PluralFormat, icu::PluralRules, icu::RegexPattern, icu::RegexMatcher, icu::SelectFormat, icu::CollationKey, icu::StringSearch, icu::TimeUnit, icu::TimeZoneFormat, icu::CompactDecimalFormat, icu::DateInterval, icu::RuleBasedBreakIterator, icu::StringCharacterIterator, icu::UCharCharacterIterator, icu::UnicodeSet, icu::ChoiceFormat, icu::DateIntervalFormat, icu::DateTimeRule, icu::GregorianCalendar, icu::MeasureFormat, icu::MeasureUnit, icu::Measure, icu::MessageFormat, icu::RuleBasedNumberFormat, icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::SimpleDateFormat, icu::RuleBasedCollator, icu::TimeUnitAmount, icu::TimeUnitFormat, icu::InitialTimeZoneRule, icu::AnnualTimeZoneRule, icu::TimeArrayTimeZoneRule, icu::TimeZoneTransition, icu::VTimeZone, icu::BreakIterator, icu::ForwardCharacterIterator, icu::UnicodeFunctor, icu::Calendar, icu::Collator, icu::NumberFormat, icu::TimeZone, icu::Transliterator, and icu::DecimalFormat.

The documentation for this class was generated from the following file:

- uobject.h